# cluster-bootstrap-reactor

![Version: 0.0.1-local](https://img.shields.io/badge/Version-0.0.1--local-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 0.0.1-local](https://img.shields.io/badge/AppVersion-0.0.1--local-informational?style=flat-square)

A Helm chart for the Monoskope Cluster Bootstrap Reactor

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `10` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| certificates.duration | string | `"48h"` | cluster certificate validity duration |
| certificates.issuerKind | string | `"Issuer"` | cert-manager issuer type to use to issue cluster certificates |
| certificates.issuerName | string | `"selfsigning-issuer"` | cert-manager issuer to use to issue cluster certificates |
| eventStore | object | `{"host":"eventstore","port":8080,"prefix":""}` | API address of the event store |
| fullnameOverride | string | `""` |  |
| global | object | `{}` |  |
| image.pullPolicy | string | `"Always"` |  |
| image.repository | string | `"ghcr.io/finleap-connect/monoskope/clusterbootstrapreactor"` |  |
| image.tag | string | `""` |  |
| imagePullSecrets | list | `[]` |  |
| issuerURL | string | `""` | The URL of the Monoskope issuer (Gateway) |
| keySecret.field | string | `"tls.key"` | field of the secret containing the private key (PEM or DER-encoded) |
| keySecret.name | string | `""` | secret containing private key |
| labels | object | `{}` |  |
| messageBus.configSecret | string | `""` | Name of the configmap containing the config for the messagebus |
| messageBus.routingKeyPrefix | string | `"m8"` | Prefix for routing messages via message bus |
| messageBus.tlsSecret | string | `""` | Name of the secret containing the tls certificates/keys |
| messageBus.url | string | `"amqps://127.0.0.1:5672/"` | URL of the bus |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `""` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.4.0](https://github.com/norwoodj/helm-docs/releases/v1.4.0)
