# queryhandler

![Version: 0.0.1-local](https://img.shields.io/badge/Version-0.0.1--local-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 0.0.1-local](https://img.shields.io/badge/AppVersion-0.0.1--local-informational?style=flat-square)

A Helm chart for the Monoskope QueryHandler

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `10` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| eventStore | object | `{"host":"eventstore","port":8080,"prefix":""}` | API address of the event store |
| fullnameOverride | string | `""` |  |
| global | object | `{}` |  |
| image.pullPolicy | string | `"Always"` |  |
| image.repository | string | `"ghcr.io/finleap-connect/monoskope/queryhandler"` |  |
| image.tag | string | `""` |  |
| imagePullSecrets | list | `[]` |  |
| keepAlive | bool | `false` |  |
| labels | object | `{}` |  |
| livenessProbe.enabled | bool | `true` |  |
| livenessProbe.failureThreshold | int | `10` |  |
| livenessProbe.initialDelaySeconds | int | `10` |  |
| livenessProbe.periodSeconds | int | `5` |  |
| messageBus.configSecret | string | `""` | Name of the configmap containing the config for the messagebus |
| messageBus.routingKeyPrefix | string | `"m8"` | Prefix for routing messages via message bus |
| messageBus.tlsSecret | string | `""` | Name of the secret containing the tls certificates/keys |
| messageBus.url | string | `"amqps://127.0.0.1:5672/"` | URL of the bus |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| ports.api | int | `8080` |  |
| ports.metrics | int | `9102` |  |
| readinessProbe.enabled | bool | `true` |  |
| readinessProbe.failureThreshold | int | `5` |  |
| readinessProbe.initialDelaySeconds | int | `5` |  |
| readinessProbe.periodSeconds | int | `5` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.api.port | int | `8080` |  |
| service.metrics.port | int | `9102` |  |
| service.type | string | `"ClusterIP"` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.4.0](https://github.com/norwoodj/helm-docs/releases/v1.4.0)
